// This is an example of an ES6 module.
export function attachClasses(data) {
  if (data.pct_dem > data.pct_rep) {
    return `${data.id} y${data.year} ${data.county_name.toLowerCase().replace(' ', '')} democrat`;
  }
	return `${data.id} y${data.year} ${data.county_name.toLowerCase().replace(' ', '')} republican`;
}

export function returnWinner(data) {
  if (data.pct_dem > data.pct_rep) {
    return (data.pct_dem - data.pct_rep) * -1;
  }
  return data.pct_rep - data.pct_dem;
}

// Get line length
export function getLength(x1, x2, y1, y2) {
   return Math.sqrt( (x2-=x1)*x2 + (y2-=y1)*y2 );
}